Description

I would like to have smart global parameters/variables that work like smart vars but don't need to be assigned to a puppet class,

hostgroup or anything else.

This way I can use smart default settings/parameters that are not hostgroup or class dependent.

I can then for example specify defaults (like global params) for different os families or os versions using matching rules that are also

used in smart vars.

History

#1 - 08/31/2013 09:38 AM - Ronny M

Or smart vars that are class/hostgroup independent.

#2 - 08/31/2013 09:55 AM - Ronny M

For example created from: More => Configuration => Smart Variables. (with new or create button)

#3 - 11/17/2019 10:57 AM - Tomer Brisker

- Status changed from New to Resolved

global params can now have types and can also be assigned to operating systems.
